Bug 13629 - SingleBranchMode removes both library and availability search from advanced search
Summary: SingleBranchMode removes both library and availability search from advanced s...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-27 13:53 UTC by Katrin Fischer
Modified: 2019-06-06 17:53 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 13629: SingleBranchMode removes both library and availability search from advanced search (2.96 KB, patch)
2019-04-04 18:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13629: SingleBranchMode removes both library and availability search from advanced search (3.03 KB, patch)
2019-04-05 17:59 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 13629: SingleBranchMode removes both library and availability search from advanced search (3.09 KB, patch)
2019-04-06 09:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-01-27 13:53:04 UTC
When activating SingleBranchMode the library search options shoudl be hidden from the advanced search page, but not the availability filter also.
Comment 1 Katrin Fischer 2019-04-02 08:52:43 UTC
Still valid.
Comment 2 Owen Leonard 2019-04-04 18:37:17 UTC
Created attachment 87426 [details] [review]
Bug 13629: SingleBranchMode removes both library and availability search from advanced search

This patch modifies the OPAC advanced search form so that it is possible
to limit searches to available items even if there is only one library.

To test, apply the patch and go to the advanced search page in the OPAC.

 - With only one library configured: There should be a section labeled
   "Availability" with just the "only available" checkbox.

 - With multiple libraries: The section should be labeled "Location and
   availability" and should have the library dropdown and the
   availability checkbox.
Comment 3 Pierre-Marc Thibault 2019-04-05 17:59:00 UTC
Created attachment 87457 [details] [review]
Bug 13629: SingleBranchMode removes both library and availability search from advanced search

This patch modifies the OPAC advanced search form so that it is possible
to limit searches to available items even if there is only one library.

To test, apply the patch and go to the advanced search page in the OPAC.

 - With only one library configured: There should be a section labeled
   "Availability" with just the "only available" checkbox.

 - With multiple libraries: The section should be labeled "Location and
   availability" and should have the library dropdown and the
   availability checkbox.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 4 Katrin Fischer 2019-04-06 09:56:18 UTC
Created attachment 87467 [details] [review]
Bug 13629: SingleBranchMode removes both library and availability search from advanced search

This patch modifies the OPAC advanced search form so that it is possible
to limit searches to available items even if there is only one library.

To test, apply the patch and go to the advanced search page in the OPAC.

 - With only one library configured: There should be a section labeled
   "Availability" with just the "only available" checkbox.

 - With multiple libraries: The section should be labeled "Location and
   availability" and should have the library dropdown and the
   availability checkbox.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-04-11 13:53:30 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-04-15 17:39:32 UTC
Pushed to 18.11.x for 18.11.05
Comment 7 Lucas Gass 2019-04-17 22:25:05 UTC
backported to 18.05.x for 18.05.12